<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.analytics.hive.ui.client.HiveScriptStoreClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="java.util.regex.Pattern" %>
<%@ page import="java.util.regex.Matcher" %>
<!--
~ Copyright (c) 2005-2014, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<fmt:bundle basename="org.wso2.carbon.analytics.hive.ui.i18n.Resources">

<script src="../editarea/edit_area_full.js" type="text/javascript"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<link rel="stylesheet" type="text/css" href="css/hive-explorer-styles.css">
<script type="text/javascript">
    YAHOO.util.Event.onDOMReady(function() {
    	  editAreaLoader.init({
    	        id : "viewScriptArea"
    	        ,syntax: "sql"
    	        ,start_highlight: true
    	        ,is_editable : false
    	  });   
    });
</script>

<%
    String scriptName = "";
    String scriptContent = "";
    String cron = "";
    String editability = "false";
    String mode = request.getParameter("mode");
    if(request.getParameter("editability") != null && !"".equals(request.getParameter("editability"))){
        editability = request.getParameter("editability");
    }
    String isSchedulingCanceled = "false";
    if("true".equals(request.getParameter("schedulingCanceled"))){
       isSchedulingCanceled  = "true";
    }
    int max = 40;
    boolean scriptNameExists = false;
    if (request.getParameter("scriptName") != null && !request.getParameter("scriptName").equals("")) {
        scriptName = request.getParameter("scriptName");
    }
    if (null != mode && mode.equalsIgnoreCase("edit")) {
        scriptNameExists = true;
    } else {
        scriptNameExists = false;
  	    mode = "";
   }
    String requestUrl = request.getHeader("Referer");
    boolean isFromScheduling = false;
    if (requestUrl != null && requestUrl.contains("scheduletask.jsp")) {
        isFromScheduling = true;
    }
    if (scriptNameExists && !isFromScheduling) {
        try {
            String serverURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
            ConfigurationContext configContext =
                    (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            HiveScriptStoreClient client = new HiveScriptStoreClient(cookie, serverURL, configContext);
            scriptContent = client.getScript(scriptName);
            cron = client.getCronExpression(scriptName);
            if (scriptContent != null && !scriptContent.equals("")) {
                scriptContent = scriptContent.replace("'", "\'");
            }
        } catch (Exception e) {
            String errorString = e.getMessage();
            CarbonUIMessage.sendCarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, request, e);
%>
<script type="text/javascript">
    location.href = "../admin/error.jsp";
    alert('<%=errorString%>');
</script>
<%
            return;
        }
    }
    if (isFromScheduling) {
        Object content = session.getAttribute("scriptContent" + scriptName);
        if (null != content) {
            scriptContent = content.toString();
        } else {
            scriptContent = "";
        }
        if (null != request.getParameter("cron")) {
            cron = request.getParameter("cron").toString();
        }
        if (scriptContent != null && !scriptContent.equals("")) {
            scriptContent = scriptContent.replace("'", "\'");
        }
    }


%>
<script type="text/javascript">
    var cron = '<%=cron%>';
    var scriptName = '<%=scriptName%>';
    var editability = '<%=editability%>';
    var allQueries = '';
   
    function copyAsNewScript(){
    	
    	location.href = "../hive-explorer/hiveexplorer.jsp?mode=edit&editability=" + editability + "&scriptName=" + scriptName;
    }
     
</script>

<div id="middle">
    <div id="dynamic"></div>
    <%
        if (scriptNameExists) {
    %>
    <h2>Script Editor<%=" - " + scriptName%>
        <%
        } else {
        %>
        <h2>Script Editor</h2>
        <%
            }
        %>
    </h2>

    <div id="workArea">

        <form id="commandForm" name="commandForm" action="" method="POST">
            <table class="styledLeft noBorders">
                <thead>
                <tr>
                    <th><span style="float: left; position: relative; margin-top: 2px;">
<fmt:message key="script"/></span>
                    </th>
                </tr>
                </thead>
                <tbody>
                <%
                	if (scriptNameExists && "false".equals(editability)) {
                
                
                
                } else { %>
                <input type="hidden" value="<%=scriptName%>" name="scriptName" id="scriptName">
                <% }
                %>
                   
                <tr>
                    <td>
                        <table class="normal-nopadding">
                            <tbody>
                            <tr>
                                <td>
                                    <textarea id="viewScriptArea" name="viewScriptArea" rows="25"
                                              style="width:99%" readonly><%=scriptContent%>
                                    </textarea>
                                </td>
                                   
                            </tr>

                            <tr>
                                <td>  
                                    <input type="button" value="<fmt:message key="copy.as.new.script"/>" onclick="copyAsNewScript()"
                                           class="button"/>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="normal-nopadding">
                            <tbody>
                            <tr>
                                <td>
                                </td>
                                <td>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                </tbody>
                <input type="hidden" name="scriptContent" id="scriptContent"/>
                <input type="hidden" name="saveWithCron" id="saveWithCron"/>
            </table>
            </td>
            </tr>
            </tbody>
            </table>

        </form>


    </div>
</div>

</fmt:bundle>